<?php
/**
 * Created by PhpStorm.
 * User: 思维定制
 * Date: 2019/3/6
 * Time: 10:17
 */

namespace App\Http\Controllers\Web;

use App\Models\AlbumManufacturerModel;
use Illuminate\Http\Request;
use EasyWeChat\Factory;

class AuthController extends Controller
{
    public function bind(Request $request)
    {
        $store_id = $request->input('store_id');
        $weChatApp = AlbumManufacturerModel::where('store_id', $store_id)->first();
        $config = [
            'app_id' => $weChatApp->G_app_id,
            'secret' => $weChatApp->G_app_secret,
            'response_type' => 'array',
            'oauth' => [
                'scopes'   => ['snsapi_userinfo'],
                'callback' => '/web/notify?store_id=' . $store_id,
            ]

        ];
        $app = Factory::officialAccount($config);
        $response = $app->oauth
            ->redirect();
        return $response;
        //$res = $response->send();
      //  dd($res);
    }
    public function notify(Request $request)
    {
        $store_id = $request->input('store_id');
        $weChatApp = AlbumManufacturerModel::where('store_id', $store_id)->first();
        $config = [
            'app_id' => $weChatApp->G_app_id,
            'secret' => $weChatApp->G_app_secret,
            'response_type' => 'array',
            'oauth' => [
                'scopes'   => ['snsapi_userinfo'],
                'callback' => '/web/notify',
            ]
        ];
        $app = Factory::officialAccount($config);
        $oauth = $app->oauth;
// 获取 OAuth 授权结果用户信息
        $user = $oauth->user();
        dd($user->getId());
        \Log::info($user);
    }

    public function welcome()
    {
        return view('welcome');
    }
}